Bug 498559 - NetworkManager no longer detects Novatel Ovation U727 USB 3G Modem
NetworkManager no longer detects Novatel Ovation U727 USB 3G Modem
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
i386 Linux
urgent Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-01 01:06 EDT by Bryan Che
Modified: 2010-04-22 10:10 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-04 18:35:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
current NetworkManager log (898 bytes, text/plain)
2009-05-01 01:06 EDT, Bryan Che
no flags Details
Original NetworkManager log (2.88 KB, text/plain)
2009-05-01 01:07 EDT, Bryan Che
no flags Details

  None (edit)
Description Bryan Che 2009-05-01 01:06:41 EDT
Created attachment 342043 [details]
current NetworkManager log

Description of problem:

Fedora 10 (and earlier releases) would detect and work fine with the Novatel Ovation U727 wireless modem, until I recently did a yum update.  Now, NetworkManager no longer detects and shows my modem.  I reverted NetworkManager to the original F10 version (NetworkManager-0.7.0-0.11.svn4229.fc10.i386.rpm), and my modem showed up again.  But, I wasn't able to connect with it.  Somewhere in between the original NetworkManager in F10 and the current one (and versions in F9) worked with this modem.

You can see I had this working in F9: http://bryanche.blogspot.com/2008/05/creating-wireless-3g-network-connection.html


Version-Release number of selected component (if applicable):

NetworkManager-0.7.0.99-5.git20090326.fc10.i386


How reproducible:

Very


Steps to Reproduce:
1. Insert Novatel Ovation U727 modem
2.
3.
  
Actual results:

NetworkManager doesn't show the modem


Expected results:

NetworkManager does show the modem


Additional info:

I'm attaching /var/log/messages from both the original NetworkManager and the current NetworkManager
Comment 1 Bryan Che 2009-05-01 01:07:25 EDT
Created attachment 342044 [details]
Original NetworkManager log
Comment 2 yunus 2009-05-01 11:06:27 EDT
Thank you for reporting this bug.

Please, try this version of NetworkManager to see if it resolves the problem

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 yunus 2009-05-01 11:09:28 EDT
this version of NetworkManager
http://koji.fedoraproject.org/koji/buildinfo?buildID=98021

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Niels Haase 2009-05-02 04:50:32 EDT
Reporter, if you want to test the update, you can install it easily with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager'
This will also resolve the dependency problems.
Comment 5 Bryan Che 2009-05-04 10:44:33 EDT
I just tried with the new NetworkManager, and I still have the same problem:

rpm -q NetworkManager
NetworkManager-0.7.1-1.fc10.i386

May  4 10:39:41 localhost kernel: usb 2-2: new full speed USB device using uhci_hcd and address 2
May  4 10:39:41 localhost kernel: usb 2-2: configuration #1 chosen from 1 choice
May  4 10:39:41 localhost kernel: usb 2-2: New USB device found, idVendor=1410, idProduct=5010
May  4 10:39:41 localhost kernel: usb 2-2: New USB device strings: Mfr=1, Product=2, SerialNumber=4
May  4 10:39:41 localhost kernel: usb 2-2: Product: Novatel Wireless CDMA
May  4 10:39:41 localhost kernel: usb 2-2: Manufacturer: Novatel Wireless Inc.
May  4 10:39:41 localhost kernel: usb 2-2: SerialNumber: 091081204890000
May  4 10:39:42 localhost kernel: usbcore: registered new interface driver usbserial
May  4 10:39:42 localhost kernel: usbserial: USB Serial support registered for generic
May  4 10:39:42 localhost kernel: usbcore: registered new interface driver usbserial_generic
May  4 10:39:42 localhost kernel: usbserial: USB Serial Driver core
May  4 10:39:42 localhost kernel: usbserial: USB Serial support registered for GSM modem (1-port)
May  4 10:39:42 localhost kernel: option 2-2:1.0: GSM modem (1-port) converter detected
May  4 10:39:42 localhost kernel: usb 2-2: GSM modem (1-port) converter now attached to ttyUSB0
May  4 10:39:42 localhost kernel: usbcore: registered new interface driver option
May  4 10:39:42 localhost kernel: option: USB Driver for GSM modems: v0.7.2
May  4 10:39:42 localhost kernel: Initializing USB Mass Storage driver...
May  4 10:39:42 localhost kernel: usbcore: registered new interface driver usb-storage
May  4 10:39:42 localhost kernel: USB Mass Storage support registered.
May  4 10:39:49 localhost NetworkManager: <info>  (ttyUSB0): found serial port (udev:  hal:CDMA)
May  4 10:39:49 localhost NetworkManager: <info>  (ttyUSB0): ignoring due to lack of probed mobile broadband capabilties
Comment 6 Steven Drinnan 2009-05-07 03:26:08 EDT
Hi, I have a sim prob but with Huwai e620. I have been using this device up to today actually just a few hours ago when I reset my machine. I had not reset my machine for 5 days. I update regularly. And have just tried the testing version and no luck.

Heres what I have noticed. 

The modem is detected but only part set up. Below is the message log 

May  7 15:07:16 laptap kernel: usb 2-3: New USB device found, idVendor=12d1, idProduct=1001
May  7 15:07:16 laptap kernel: usb 2-3: New USB device strings: Mfr=2, Product=1, SerialNumber=0
May  7 15:07:16 laptap kernel: usb 2-3: Product: HUAWEI Mobile
May  7 15:07:16 laptap kernel: usb 2-3: Manufacturer: HUAWEI Technology
May  7 15:07:16 laptap kernel: usb 2-3: USB disconnect, address 5
May  7 15:07:22 laptap kernel: usb 2-3: new high speed USB device using ehci_hcd and address 6
May  7 15:07:22 laptap kernel: usb 2-3: configuration #1 chosen from 1 choice
May  7 15:07:22 laptap kernel: usb-storage: probe of 2-3:1.0 failed with error -5
May  7 15:07:22 laptap kernel: option 2-3:1.0: GSM modem (1-port) converter detected
May  7 15:07:22 laptap kernel: usb 2-3: GSM modem (1-port) converter now attached to ttyUSB0
May  7 15:07:22 laptap kernel: usb-storage: probe of 2-3:1.1 failed with error -5
May  7 15:07:22 laptap kernel: option 2-3:1.1: GSM modem (1-port) converter detected
May  7 15:07:22 laptap kernel: usb 2-3: GSM modem (1-port) converter now attached to ttyUSB1
May  7 15:07:22 laptap kernel: usb-storage: probe of 2-3:1.2 failed with error -5
May  7 15:07:22 laptap kernel: option 2-3:1.2: GSM modem (1-port) converter detected
May  7 15:07:22 laptap kernel: usb 2-3: GSM modem (1-port) converter now attached to ttyUSB2
May  7 15:07:23 laptap kernel: scsi15 : SCSI emulation for USB Mass Storage devices
May  7 15:07:24 laptap kernel: scsi16 : SCSI emulation for USB Mass Storage devices
May  7 15:07:24 laptap kernel: usb 2-3: New USB device found, idVendor=12d1, idProduct=1001
May  7 15:07:24 laptap kernel: usb 2-3: New USB device strings: Mfr=2, Product=1, SerialNumber=0
May  7 15:07:24 laptap kernel: usb 2-3: Product: HUAWEI Mobile
May  7 15:07:24 laptap kernel: usb 2-3: Manufacturer: HUAWEI Technology
May  7 15:07:28 laptap kernel: scsi 15:0:0:0: CD-ROM            HUAWEI   Mass Storage     2.31 PQ: 0 ANSI: 2
May  7 15:07:28 laptap kernel: sr1: scsi-1 drive
May  7 15:07:28 laptap kernel: sr 15:0:0:0: Attached scsi generic sg2 type 5
May  7 15:07:29 laptap kernel: scsi 16:0:0:0: Direct-Access     HUAWEI   MMC Storage      2.31 PQ: 0 ANSI: 2
May  7 15:07:29 laptap kernel: sd 16:0:0:0: [sdb] Attached SCSI removable disk
May  7 15:07:29 laptap kernel: sd 16:0:0:0: Attached scsi generic sg3 type 0
May  7 15:07:41 laptap hald: mounted /dev/sr1 on behalf of uid 500

Thats it no more messages. None from the network manager.

But heres the kicker. I have another drive (not updated recently) F10 this is what it shows.

May  7 15:19:04 localhost kernel: usb 1-6: New USB device found, idVendor=12d1, idProduct=1001
May  7 15:19:04 localhost kernel: usb 1-6: New USB device strings: Mfr=2, Product=1, SerialNumber=0
May  7 15:19:04 localhost kernel: usb 1-6: Product: HUAWEI Mobile
May  7 15:19:04 localhost kernel: usb 1-6: Manufacturer: HUAWEI Technology
May  7 15:19:04 localhost kernel: usb 1-6: USB disconnect, address 5
May  7 15:19:04 localhost pulseaudio[2923]: module-hal-detect.c: Error getting capability: org.freedesktop.Hal.NoSuchDevice: No device with id /org/freedesktop/Hal/devices/usb_device_ffffffff_ffffffff_noserial_scsi_host
May  7 15:19:10 localhost kernel: usb 1-6: new high speed USB device using ehci_hcd and address 6
May  7 15:19:10 localhost kernel: usb 1-6: configuration #1 chosen from 1 choice
May  7 15:19:10 localhost kernel: usb-storage: probe of 1-6:1.0 failed with error -5
May  7 15:19:10 localhost kernel: usb-storage: probe of 1-6:1.1 failed with error -5
May  7 15:19:10 localhost kernel: usb-storage: probe of 1-6:1.2 failed with error -5
May  7 15:19:11 localhost kernel: scsi7 : SCSI emulation for USB Mass Storage devices
May  7 15:19:12 localhost kernel: scsi8 : SCSI emulation for USB Mass Storage devices
May  7 15:19:12 localhost kernel: usb 1-6: New USB device found, idVendor=12d1, idProduct=1001
May  7 15:19:12 localhost kernel: usb 1-6: New USB device strings: Mfr=2, Product=1, SerialNumber=0
May  7 15:19:12 localhost kernel: usb 1-6: Product: HUAWEI Mobile
May  7 15:19:12 localhost kernel: usb 1-6: Manufacturer: HUAWEI Technology
May  7 15:19:12 localhost kernel: usbcore: registered new interface driver usbserial
May  7 15:19:12 localhost kernel: usbserial: USB Serial support registered for generic
May  7 15:19:12 localhost kernel: usbcore: registered new interface driver usbserial_generic
May  7 15:19:12 localhost kernel: usbserial: USB Serial Driver core
May  7 15:19:12 localhost kernel: usbserial: USB Serial support registered for GSM modem (1-port)
May  7 15:19:12 localhost kernel: option 1-6:1.0: GSM modem (1-port) converter detected
May  7 15:19:12 localhost kernel: usb 1-6: GSM modem (1-port) converter now attached to ttyUSB0
May  7 15:19:12 localhost kernel: option 1-6:1.1: GSM modem (1-port) converter detected
May  7 15:19:12 localhost kernel: usb 1-6: GSM modem (1-port) converter now attached to ttyUSB1
May  7 15:19:12 localhost kernel: option 1-6:1.2: GSM modem (1-port) converter detected
May  7 15:19:12 localhost kernel: usb 1-6: GSM modem (1-port) converter now attached to ttyUSB2
May  7 15:19:12 localhost kernel: usbcore: registered new interface driver option
May  7 15:19:12 localhost kernel: option: USB Driver for GSM modems: v0.7.2
May  7 15:19:13 localhost NetworkManager: <info>  (ttyUSB1): ignoring due to lack of mobile broadband capabilties
May  7 15:19:13 localhost NetworkManager: <info>  (ttyUSB2): ignoring due to lack of mobile broadband capabilties
May  7 15:19:13 localhost NetworkManager: <info>  (ttyUSB0): found serial port (udev:GSM  hal:GSM)
May  7 15:19:13 localhost NetworkManager: <info>  (ttyUSB0): new Modem device (driver: 'option')
May  7 15:19:13 localhost NetworkManager: <info>  (ttyUSB0): exported as /org/freedesktop/Hal/devices/usb_device_12d1_1001_noserial_if0_serial_usb_0
May  7 15:19:16 localhost kernel: scsi 7:0:0:0: CD-ROM            HUAWEI   Mass Storage     2.31 PQ: 0 ANSI: 2
May  7 15:19:16 localhost kernel: sr1: scsi-1 drive
May  7 15:19:16 localhost kernel: sr 7:0:0:0: Attached scsi generic sg3 type 5
May  7 15:19:17 localhost kernel: scsi 8:0:0:0: Direct-Access     HUAWEI   MMC Storage      2.31 PQ: 0 ANSI: 2
May  7 15:19:17 localhost kernel: sd 8:0:0:0: [sdc] Attached SCSI removable disk
May  7 15:19:17 localhost kernel: sd 8:0:0:0: Attached scsi generic sg4 type 0
May  7 15:19:17 localhost NetworkManager: <info>  (ttyUSB0): device state change: 1 -> 2
May  7 15:19:18 localhost NetworkManager: <info>  (ttyUSB0): deactivating device (reason: 2).
May  7 15:19:18 localhost NetworkManager: nm_system_device_flush_ip4_routes_with_iface: assertion `iface_idx >= 0' failed
May  7 15:19:18 localhost NetworkManager: nm_system_device_flush_ip4_addresses_with_iface: assertion `iface_idx >= 0' failed
May  7 15:19:18 localhost NetworkManager: <info>  (ttyUSB0): device state change: 2 -> 3
May  7 15:19:29 localhost hald: mounted /dev/sr1 on behalf of uid 500
May  7 15:19:29 localhost gnome-keyring-daemon[2652]: adding removable location: volume_label_Vodafone_MCInsta at /media/Vodafone MCInsta


It looks like the usbserial module is not being loaded. 

If you need anything else please ask.

PC1 - FC10 64bit 2.6.27.21-170.2.56.fc10.x86_64, network manager 0.7.1
PC2 - FC10 i686 2.6.27.21-170.2.56.fc10.i686, network manager 0.7.0.99
Comment 7 Steven Drinnan 2009-05-07 04:46:11 EDT
One more thought. 

I have now managed to make connection but not through Network Manager

Upgraded the kernel to the one in updates testing.

Configured a modem /dev/ttyUSB0 in system-config-network

set up a new modem connection. (Disabled control of Network Manager)

Restarted and can make a connection at full speed.

Would like to use Network Manager though.
Comment 8 Dan Williams 2009-05-07 07:56:54 EDT
Debugging this a few days ago with Brians modem...  F11 works fine, F-10 does not.  What appears to be happening is that the 'option' module is getting loaded before the 'usb-storage' module does, and the option module somehow interferes with usb-storage attaching to the mass-storage interface.

For example, when the problem occurs, there will be a /dev/ttyUSB0, but only *one*, while normal operation exposes ttyUSB0 - ttyUSB3.  Doing the following sequence sometimes allows the necessary serial ports to be found:

<plug modem in>
rmmod option
rmmod usb_storage
modprobe usb_storage
<wait a second>
modprobe option

It appears to be entirely a kernel issue.  Reverting to 2.6.27-170.2.35 apparently makes the modem be recognized again.
Comment 9 Bryan Che 2009-05-07 09:26:23 EDT
How do I revert to that kernel?  Is there a bugzilla for the kernel to track when this issue will be resolved there?
Comment 10 Steven Drinnan 2009-05-07 20:22:35 EDT
I dont think so, as I have said one box with F10 and the same kernel works fine. The other not. And it is not related to storage. As device has the storage part disabled on my device. Also I tried above and it did not work. I also upgraded the kernel from updates testing still no joy.
And also used that kernel above and still not working.
Comment 11 Bryan Che 2009-05-07 23:47:24 EDT
I also tried the suggested kernel, and it doesn't solve the issue.  

rpm -qa | grep kernel
kernel-devel-2.6.27.19-170.2.35.fc10.i586
kernel-2.6.27.19-170.2.35.fc10.i586
kernel-headers-2.6.27.19-170.2.35.fc10.i386
kernel-firmware-2.6.27.19-170.2.35.fc10.noarch
kerneloops-0.12-1.fc10.i386

My modem shows up as a storage device with this kernel, but the modem still doesn't show up in Network Manager.

Here is the log:

May  7 23:42:51 localhost kernel: usb 2-2: new full speed USB device using uhci_hcd and address 6
May  7 23:42:51 localhost kernel: usb 2-2: configuration #1 chosen from 1 choice
May  7 23:42:51 localhost kernel: scsi10 : SCSI emulation for USB Mass Storage devices
May  7 23:42:51 localhost kernel: usb 2-2: New USB device found, idVendor=1410, idProduct=5010
May  7 23:42:51 localhost kernel: usb 2-2: New USB device strings: Mfr=1, Product=2, SerialNumber=4
May  7 23:42:51 localhost kernel: usb 2-2: Product: Novatel Wireless CDMA
May  7 23:42:51 localhost kernel: usb 2-2: Manufacturer: Novatel Wireless Inc.
May  7 23:42:51 localhost kernel: usb 2-2: SerialNumber: 091081204890000
May  7 23:42:56 localhost kernel: scsi 10:0:0:0: CD-ROM            Novatel  Mass Storage     1.00 PQ: 0 ANSI: 2
May  7 23:42:56 localhost kernel: sr1: scsi-1 drive
May  7 23:42:56 localhost kernel: sr 10:0:0:0: Attached scsi generic sg2 type 5
May  7 23:42:59 localhost kernel: sr1: CDROM (ioctl) error, command: Get configuration 46 00 00 00 00 00 00 00 20 00
May  7 23:42:59 localhost kernel: sr: Sense Key : No Sense [current] 
May  7 23:42:59 localhost kernel: sr: Add. Sense: No additional sense information
May  7 23:42:59 localhost kernel: sr1: CDROM (ioctl) error, command: Get configuration 46 00 00 00 00 00 00 00 20 00
May  7 23:42:59 localhost kernel: sr: Sense Key : No Sense [current] 
May  7 23:42:59 localhost kernel: sr: Add. Sense: No additional sense information
May  7 23:42:59 localhost kernel: sr1: CDROM (ioctl) error, command: Get configuration 46 00 00 28 00 00 00 00 10 00
May  7 23:42:59 localhost kernel: sr: Sense Key : No Sense [current] 
May  7 23:42:59 localhost kernel: sr: Add. Sense: No additional sense information
May  7 23:42:59 localhost kernel: sr1: CDROM (ioctl) error, command: Get configuration 46 00 00 20 00 00 00 00 18 00
May  7 23:42:59 localhost kernel: sr: Sense Key : No Sense [current] 
May  7 23:42:59 localhost kernel: sr: Add. Sense: No additional sense information
May  7 23:42:59 localhost kernel: sr1: CDROM (ioctl) error, command: Get configuration 46 00 00 00 00 00 00 00 20 00
May  7 23:42:59 localhost kernel: sr: Sense Key : No Sense [current] 
May  7 23:42:59 localhost kernel: sr: Add. Sense: No additional sense information
May  7 23:42:59 localhost hald: mounted /dev/sr1 on behalf of uid 500
May  7 23:42:59 localhost gnome-keyring-daemon[2829]: adding removable location: volume_label_SMB_v3_10_014_20 at /media/SMB v3.10.014 20
May  7 23:43:16 localhost hald: unmounted /dev/sr1 from '/media/SMB v3.10.014 20' on behalf of uid 500
May  7 23:43:16 localhost gnome-keyring-daemon[2829]: removing removable location: volume_label_SMB_v3_10_014_20
Comment 12 Steven Drinnan 2009-05-09 06:51:29 EDT
One more thing - serial connection (opening and closing) are very slow now. 

I use a program (I made myself in gambas) that checks the signal strength via port2 ttyUSB2. 

It used to be very fast now very slow should be faster. May be this could be why Network Manager is not detecting the port to slow openning?
Comment 13 Marek Greško 2009-06-13 14:59:58 EDT
I had also this problem with huawei E220 modem. I get rid of it by commenting the line

#options usbserial vendor=0x12d1 product=0x1003

in /etc/modprobe.conf, which was formerly required. Now it works without it. Just try if it does solve also your problem. Just since kernel-2.6.27.24-170.2.68.fc10 I am expriencing kernel dump requiring reboot when using this modem.
Comment 14 Steven Drinnan 2009-06-18 04:17:33 EDT
Now using F11, problem just came back.

I just finished install virtual Machine and I noticed that the problem had come back any ideas.
Comment 15 Kevin DeKorte 2009-10-16 18:49:29 EDT
I have the same problem here with my U727 device on both Fedora 11 and another machine with rawhide on it. No amount of kernel module loading seems to allow NetworkManager to detect the device.
Comment 16 Bug Zapper 2009-11-18 02:44:22 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Kevin DeKorte 2009-11-18 08:50:17 EST
Can we get the version tag on this bug adjusted since it appears to happen in Fedora after version 10 now.
Comment 18 Dan Williams 2009-11-18 15:49:46 EST
Kevin, are you using usb_modeswitch to flip the device to modem mode?  That has to be done before NM can possibly find the device.  Unfortunately usb-modeswitch isn't as automated as we'd like but upstream is working on that.
Comment 19 Kevin DeKorte 2009-11-18 18:26:19 EST
Dan,

Can you point me to doc on how to use usb_modeswitch? First I have heard of this tool.
Comment 20 Dan Williams 2009-11-19 13:52:34 EST
http://www.draisberghof.de/usb_modeswitch/

It should be in Fedora.  Some devices get flipped by the kernel automatically, but because kernel developers don't generally like any policy in the kernel (and resetting the mode is a sort of policy) they've refused further kernel patches to make this automatic.  So it's punted to userspace now.
Comment 21 Kevin DeKorte 2010-02-01 13:50:50 EST
Using kernel 2.6.31.12-174.2.3.fc12.x86_64 and usb_modeswitch. I uncommented the section for U727 in usb_modeswitch.conf and ran usb_modeswitch without any options.

dmesg before running usb_modeswitch

usb 6-1: new full speed USB device using uhci_hcd and address 8
usb 6-1: New USB device found, idVendor=1410, idProduct=5010
usb 6-1: New USB device strings: Mfr=1, Product=2, SerialNumber=4
usb 6-1: Product: Novatel Wireless CDMA
usb 6-1: Manufacturer: Novatel Wireless Inc.
usb 6-1: SerialNumber: 091087750020000
usb 6-1: configuration #1 chosen from 1 choice
option 6-1:1.0: GSM modem (1-port) converter detected
usb 6-1: GSM modem (1-port) converter now attached to ttyUSB0


usb_modeswitch output

Looking for target devices ...
 No devices in target mode or class found
Looking for default devices ...
 Found default devices (1)
Accessing device 010 on bus 006 ...
Using endpoints 0x08 (out) and 0x87 (in)
Inquiring device details; driver will be detached ...
Looking for active driver ...
 OK, driver found ("option")
 OK, driver "option" detached

Received inquiry data (detailed identification)
-------------------------
  Vendor String: Novatel
   Model String: Mass Storage
Revision String: 1.00
-------------------------

Device description data (identification)
-------------------------
Manufacturer: Novatel Wireless Inc.
     Product: Novatel Wireless CDMA
  Serial No.: 091087750020000
-------------------------
Setting up communication with interface 0 ...
Trying to send the message to endpoint 0x08 ...
 OK, message successfully sent
-> Run lsusb to note any changes. Bye.

dmesg after running

option1 ttyUSB0: GSM modem (1-port) converter now disconnected from ttyUSB0
option 6-1:1.0: device disconnected
usb 6-1: usbfs: process 7519 (usb_modeswitch) did not claim interface 0 before use
usb 6-1: USB disconnect, address 8
usb 6-1: new full speed USB device using uhci_hcd and address 9
usb 6-1: New USB device found, idVendor=1410, idProduct=4100
usb 6-1: New USB device strings: Mfr=1, Product=2, SerialNumber=4
usb 6-1: Product: Novatel Wireless CDMA
usb 6-1: Manufacturer: Novatel Wireless Inc.
usb 6-1: SerialNumber: 091087750021000
usb 6-1: configuration #1 chosen from 1 choice
option 6-1:1.0: GSM modem (1-port) converter detected
usb 6-1: GSM modem (1-port) converter now attached to ttyUSB0
option 6-1:1.1: GSM modem (1-port) converter detected
usb 6-1: GSM modem (1-port) converter now attached to ttyUSB1
option 6-1:1.2: GSM modem (1-port) converter detected
usb 6-1: GSM modem (1-port) converter now attached to ttyUSB2
option 6-1:1.3: GSM modem (1-port) converter detected
usb 6-1: GSM modem (1-port) converter now attached to ttyUSB3
option 6-1:1.4: GSM modem (1-port) converter detected
usb 6-1: GSM modem (1-port) converter now attached to ttyUSB4

nm-tool does not show any modems

wvdialconf properly detects the modem.


wvdialconf 
Editing `/etc/wvdial.conf'.

Scanning your serial ports for a modem.

ttyS0<*1>: ATQ0 V1 E1 -- failed with 2400 baud, next try: 9600 baud
ttyS0<*1>: ATQ0 V1 E1 -- failed with 9600 baud, next try: 115200 baud
ttyS0<*1>: ATQ0 V1 E1 -- and failed too at 115200, giving up.
Modem Port Scan<*1>: S1   S2   S3   
WvModem<*1>: Cannot get information for serial port.
ttyUSB0<*1>: ATQ0 V1 E1 -- OK
ttyUSB0<*1>: ATQ0 V1 E1 Z -- OK
ttyUSB0<*1>: ATQ0 V1 E1 S0=0 -- OK
ttyUSB0<*1>: ATQ0 V1 E1 S0=0 &C1 -- OK
ttyUSB0<*1>: ATQ0 V1 E1 S0=0 &C1 &D2 -- OK
ttyUSB0<*1>: ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0 -- OK
ttyUSB0<*1>: Modem Identifier: ATI -- Manufacturer: NOVATEL WIRELESS INCORPORATED
ttyUSB0<*1>: Speed 9600: AT -- OK
ttyUSB0<*1>: Max speed is 9600; that should be safe.
ttyUSB0<*1>: ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0 -- OK
WvModem<*1>: Cannot get information for serial port.
ttyUSB1<*1>: ATQ0 V1 E1 -- failed with 2400 baud, next try: 9600 baud
ttyUSB1<*1>: ATQ0 V1 E1 -- failed with 9600 baud, next try: 9600 baud
ttyUSB1<*1>: ATQ0 V1 E1 -- and failed too at 115200, giving up.
WvModem<*1>: Cannot get information for serial port.
ttyUSB2<*1>: ATQ0 V1 E1 -- failed with 2400 baud, next try: 9600 baud
ttyUSB2<*1>: ATQ0 V1 E1 -- failed with 9600 baud, next try: 9600 baud
ttyUSB2<*1>: ATQ0 V1 E1 -- and failed too at 115200, giving up.
WvModem<*1>: Cannot get information for serial port.
ttyUSB3<*1>: ATQ0 V1 E1 -- failed with 2400 baud, next try: 9600 baud
ttyUSB3<*1>: ATQ0 V1 E1 -- failed with 9600 baud, next try: 9600 baud
ttyUSB3<*1>: ATQ0 V1 E1 -- and failed too at 115200, giving up.
WvModem<*1>: Cannot get information for serial port.
ttyUSB4<*1>: ATQ0 V1 E1 -- failed with 2400 baud, next try: 9600 baud
ttyUSB4<*1>: ATQ0 V1 E1 -- failed with 9600 baud, next try: 9600 baud
ttyUSB4<*1>: ATQ0 V1 E1 -- and failed too at 115200, giving up.

Found a modem on /dev/ttyUSB0.
Modem configuration written to /etc/wvdial.conf.
ttyUSB0<Info>: Speed 9600; init "ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0"

rpm -qa Network\*
NetworkManager-glib-0.7.997-2.git20091214.fc12.x86_64
NetworkManager-vpnc-0.7.996-4.git20090921.fc12.x86_64
NetworkManager-0.7.997-2.git20091214.fc12.x86_64
NetworkManager-gnome-0.7.997-2.git20091214.fc12.x86_64
NetworkManager-pptp-0.7.996-4.git20090921.fc12.x86_64
NetworkManager-openvpn-0.7.996-4.git20090923.fc12.x86_64
Comment 22 Dan Williams 2010-02-03 16:00:24 EST
On F12+ ModemManager is what detects modems, so can you:

1) service NetworkManager stop
2) killall -TERM modem-manager
3) modem-manager --debug
4) service NetworkManager start
5) plug your  modem in, and modeswitch it

then attach the modem-manager debug log and possibly your /var/log/messages too.  We need to make sure that modem-manager does find the modem.

What version the ModemManager package are you running too?
Comment 23 Kevin DeKorte 2010-02-04 18:04:51 EST
Ok...

Started fresh reboot and it all just magically worked. perhaps finally getting usb_modeswitch working made everything work right.

Anyway, it all works right for me now. On fully up to date F12 as of 2/4/2010
Comment 24 Dan Williams 2010-02-04 18:35:35 EST
Note that my 727 sometimes fails USB enumeration in F12 (works fine in Windows), which of course is before it shows up enough for a modeswitch.  But after the modeswitch it always gets found by ModemManager.

So I'll close this bug for now; these devices do require a modeswitch.  If after a modeswitch NM/MM doesn't find the device, see comment #22 for the debugging steps and reopen when you get the info.

Thanks!
Comment 25 Steven Drinnan 2010-03-02 23:23:02 EST
Please reopen, still not fixed
All of the above do not work,

in F12 USB_Mode switch says no storage attached. 

F11 does not need usb mode switch. and works fine.

It appears to be a driver error otherwise why would the modem keep resetting.

Can help in debuging as now I have a separate install with F12.
Comment 26 Kevin DeKorte 2010-03-03 00:01:23 EST
I agree, something bad happened here. This was working fine and now with the latest ModemManager and NetworkManager it no longer works smoothly. I can get the card to come up by running "eject /dev/XX1" where XX1 is the device name given to the card.
Comment 27 Kevin DeKorte 2010-04-22 10:10:15 EDT
Upgrading to these packages

kernel-2.6.32.11-99.fc12
ModemManager-0.3-9.git20100409.fc12
NetworkManager-0.8.0-6.git20100408.fc12

The U727 device no longer works at all, the eject option does not work that worked for me before.

Note You need to log in before you can comment on or make changes to this bug.